#ifndef _EDITPROFILEFERMENT_H
#define _EDITPROFILEFERMENT_H

#include <QDialog>
#include <QJsonDocument>

namespace Ui {
class EditProfileFerment;
}

class EditProfileFerment : public QDialog
{
    Q_OBJECT

signals:
    void entry_changed();

public:
    explicit EditProfileFerment(int id, QWidget *parent = 0);
    ~EditProfileFerment();

private slots:
    void on_saveButton_clicked();
    void on_quitButton_clicked();
    void on_deleteButton_clicked();
    void is_changed();
    void make_Json();
    void refreshTable(void);
    void cell_Changed(int nRow, int nCol);
    void combo_Changed();
    void templo_changed();
    void temphi_changed();
    void on_addButton_clicked();
    void on_deleteRow_clicked();

private:
    Ui::EditProfileFerment *ui;
    int recno, duration, totalsteps;
    bool textIsChanged = false;
    bool ignoreChanges = false;
    QJsonDocument steps;

    void WindowTitle();
};

#endif
